package cc.winboll.studio.webpagesources.common;

/**
 * @Author ZhanGSKen@QQ.COM
 * @Date 2023/07/13 13:54:13
 * @Describe 获取网页内容的接口类
 */
import android.content.Context;
import android.webkit.JavascriptInterface;
import cc.winboll.studio.webpagesources.fragment.SourcesFragment;

public final class JS {

    public static final String TAG = "JS";

    Context mContext;

    public JS(Context context) {
        mContext = context;
    }

    @JavascriptInterface
    @SuppressWarnings("unused")
    public void showSource(String html) {
        //LogUtils.d(TAG, "showSource");
        SourcesFragment.sendSourcesUpdateMessage(html);
    }
}
